Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Installazione software CRS (Carta Regionale Servizi) Lombardia in Ubuntu
#1
Buongiorno amici, già nel 2011 e 2012 mi avevate aiutato nel Forum 1 e la discussione con questo stesso identico nome era iniziata il 04-07-2012.
Nel Forum 2 non ho trovato argomenti sulla carta sanitaria Regione Lombardia che allora in Ubuntu mi avevate aiutato a far funzionare. Per un po' non mi è servita, ora che la vorrei usare da quando ho Ubuntu 14.04 LTS mi sono inchiodato.
Ho rifatto tutte le istruzioni allora suggerite
Citazione:Devi aggiungere il repository
deb http://supportsiss.lispa.it/apt bit4id/
(attraverso synaptic, oppure a mano)
ed installare i pacchetti
crssiss-pdl-cittadino (che si porterà appresso le dipendenze libbit4spki, libccid, libminilector38u-bit4id, pcscd)
pcsc-tools (e relativa dipendenza libpcsc-perl)
Segui quindi le istruzioni del sito per caricare i moduli di cifratura in firefox.
Infine da terminale
Codice:
$ sudo /etc/init.d/pcscd restart
(oppure riavvia).

Rimane ovvio che devi avere un lettore di carte compatibile con le librerie bit4id.
Allora, ho naturalmente il lettore che funzionava allora, poi ho fatto tutto quanto elencato, ma per il modulo Firefox se vado in Mozilla e seguo la successione Modifica > Preferenze > Avanzate >
Dispositivi di sicurezza > Carica
mi appare il riquadro
Carica dispositivo PKCS#11
e seguo sfoglia, e mi trova tutta la successione nell'archivio e quindi arrivo a formare il percorso
/usr/lib/bit4id/libbit4spki.so
Ma quando è lì pronto e do OK
mi viene risposto

"Impossibile aggiungere il modulo"

e quindi il mio lettore bit4id di Regione Lombardia con dentro la CRS non funziona.
Cita messaggio
Grazie da:
#2
Qui in regione lombardia per esempio  non serve più, in quanto si può fare richiesta nelle asl di meta codice scritto e
l'altra meta tramite cellulare ,uniti sono il mezzo per entrare nella crs da li si deve dare una nuova password  la quale ti permette
di fare tutto quello che vuoi nel sito della crs. Sono due anni che non lo uso più il lettore. Tongue
Pace e Serenità a tutti voi per un mondo migliore Tongue  Heart
Cita messaggio
Grazie da:
#3
Ringrazio l'amico Max Deal per la risposta, ancorchè non pertinente.
Che si possano fare tante altre cose in alternativa al collegamento con la Carta Regionale Servizi ne ero pienamente consapevole.
Io ho chiesto aiuto per fare questo collegamento con Ubuntu 14.04 LTS
Che crea quella difficoltà che ho elencato.
Se mi collego con un altro PC che ha Win 10 tutto funziona perfettamente. E allora anche qui qualcuno mi potrebbe dire "Ma se funziona con Win perchè ci disturbi con questi quesiti ??"

Io penso che lo scopo principale di questo Forum sia di migliorare la conoscenza. Per chi non ricordasse ho lottato ne Forum 1 per tre mesi sotto la vigile guida di un amico per poter collegare in Ubuntu uno scanner che si collegava facilmente in Win. E dopo tre mesi ci siamo riusciti a farlo funzionare con Ubuntu. Poi a ben vedere ho continuato a scannerizzare con Windows. Ma la conoscenza e la capacità erano migliorate.

Ed è per questo che voglio arrivare con il vostro aiuto a fare questo collegamento con Ubuntu. Per dimostrare che il nostro amato pinguino nonostante nel mercato sia una briciola fa le stesse cose dei sistemi operativi blasonati.
Cita messaggio
Grazie da:
#4
Mi scuso con tè,mi era sembrato più semplice entrare nel sito della crs con una password e codice tessera.
con windows il lettore non aveva problemi ma con linux in questo caso ubuntu aveva  problemi.
Non uso più ubuntu ma pclinuxos e manjaro in questi giorni voglio provare di nuovo con il lettore e il software per linux e
vedere se ci riesco. Tux
Pace e Serenità a tutti voi per un mondo migliore Tongue  Heart
Cita messaggio
Grazie da:
#5
Grazie amico. Non volevo essere scortese. Solo chiarire che cosa cercavo. E in ogni caso la tua informazione a ben vedere mi verrà utile. Perchè se un giorno non mi funzionasse più neppure con Win 10 sapere che c'è una alternativa diversa è una sicurezza.
Nel frattempo ho anche chiamato il numero verde della Regione e mi hanno verificato che avessi installato il programmino loro (crssiss-pdl-cittadino) e gli altri pacchetti necessari. E poi l'operatore mi ha fatto un'affermazione che non riesco a capire fino in fondo
<< Ah.. il problema è Mozilla !! Lei ha installato l'ultima versione di Mozilla che non accetta l'inserimento del modulo PKCS#11
e dovrebbe installare una versione precedente la 43 >>

Come a dire che io sto usando Ubuntu 14.04 LTS e qualcuno mi chiedesse di eliminarlo e tornare alla 11.10

In ogni caso se il problema è di Mozilla andrò sul Forum Mozillaitalia dove già in passato mi hanno aiutato.
Cita messaggio
Grazie da:
#6
nel link precedente hai postato un collegamento questo: > deb http://supportsiss.lispa.it/apt bit4id/ <, non esiste più, è disattivato. credo che la problematica arrivi da qui.

questo è per la regione FVG ma credo sia uguale anche in Lombardia:
https://www.regione.fvg.it/rafvg/export/...ubuntu.pdf

mentre il wiky di ubuntu ( io farei riferimento a questo ) dice:
http://wiki.ubuntu-it.org/Hardware/Perif...ervizi/CNS

per finire le info da regione lombardia:
http://www.crs.lombardia.it/ds/Satellite...CRSWrapper
Cita messaggio
Grazie da:
#7
ciao intervengo per dire che io riuscii a farlo funzionare seguendo questa guida
http://www.crs.lombardia.it/ds/ccurl/681...20v1.2.pdf
è datata ma io l'ho usata circa sei mesi fa e funzionò.

poi come dice Max se hai la password e il codice tessera risolvi senza usare il lettore

PS il sistema utilizzato era Xubuntu 14.04

Scusate se riprendo  ma è che tribolai non poco per farlo funzionare e ho ritrovato un appunto.
questo insieme al pdf sopra mi permise di far funzionare il lettore.


Allegati
.gz   CartaRegionaleServizi.odt.tar.gz (Dimensione: 50,37 KB / Download: 6)
La vita è come uno specchio:ti sorride se la guardi sorridendo.
Cita messaggio
Grazie da:
#8
Se stai usando Ubuntu 64bit la cosa è leggermente diversa rispetto al 32 bit.
Si deve installare anche il pacchetto opensc (e se non già presente il libacsccid1) ed il modulo da caricare in firefox è /usr/lib/x86_64-linux-gnu /opensc-pkcs11.so.

Bye,
Token
Cita messaggio
Grazie da:
#9
Rispondo nell’ordine   @dxgiusti
ciao e grazie di essere intervenuto…………………….
Certo che avevo seguito l’ultimo link di Regione Lombardia ………. quello che finisce con =CRSWrapper
Ma con risultato non buono. E poi lì si parla di 64 bit      Non è il mio caso : io sono fermo a 32.

E così rispondo pure a @token
niente 64 bit : vedi sopra.

Poi passo a @D-BARTO
quella guida gentilmente segnalata l’ho qui ma mi porta sempre a quel risultato negativo.

CONCLUSIONE : il suggerimento dell’amico max deal  che io avevo sdegnosamente ricusato forse è il più giusto.
Del resto quale è principio metodologico espresso nel XIV secolo dal filosofo e frate francescano inglese William of Ockham, noto in italiano come Guglielmo di Occam?
« A parità di fattori la spiegazione più semplice è da preferire » Smile

Io speravo che con la vostra proverbiale capacità mi scrivevate. Ah.... sì...... certo : “Apri terminale ……….. scrivi sudo porc Reg Lomb” e tutto si sistema. Invece no. E allora facciamola semplice. Non per niente sono passati 600 anni dal buon frate Guglielmo ( il quale non conosceva Ubuntu …….. che beatitudine……. Tongue .).
Cita messaggio
Grazie da:
#10
livio, sei grande. la saggezza fatta persona, unita alla praticità.
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)